Bug 550491 - [abrt] crash detected in gnome-panel-2.28.0-15.fc12
Summary: [abrt] crash detected in gnome-panel-2.28.0-15.fc12
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d521d51f247eb6b0661c85f0841...
Keywords:
: 550779 553372 570555 587608 587659 590157 590261 592282 593551 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-25 15:26 UTC by Ahmad Zulkarnain
Modified: 2010-12-04 01:14 UTC (History)
26 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-04 01:14:40 UTC


Attachments (Terms of Use)
File: backtrace (20.96 KB, text/plain)
2009-12-25 15:26 UTC, Ahmad Zulkarnain
no flags Details

Description Ahmad Zulkarnain 2009-12-25 15:26:04 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/libexec/wnck-applet --oaf-activate-iid=OAFIID:GNOME_Wncklet_Factory --oaf-ior-fd=18
component: gnome-panel
executable: /usr/libexec/wnck-applet
kernel: 2.6.31.6-166.fc12.x86_64
package: gnome-panel-2.28.0-15.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Ahmad Zulkarnain 2009-12-25 15:26:09 UTC
Created attachment 380317 [details]
File: backtrace

Comment 2 Karel Klíč 2010-02-24 17:01:23 UTC
*** Bug 550779 has been marked as a duplicate of this bug. ***

Comment 3 Karel Klíč 2010-02-24 17:01:28 UTC
*** Bug 553372 has been marked as a duplicate of this bug. ***

Comment 4 Need Real Name 2010-03-09 20:51:58 UTC
description from Bug 553372:

abrt 1.0.3 detected a crash.

How to reproduce
-----
1. right-click on Workspace-switcher panel applet
2. choose 'Preferences'
3.

Comment
-----
The workspace-switcher applet sometimes starts in a state such that it doesn't
respond to mousewheel up or mousewheel down input (mousewheel up or down should
cause the desktop to switch left and right among the workspaces). 
Right-clicking the applet and choosing preferences causes three abort dialogs
to be generated; after dismissing those dialogs, the applet will work correctly
for the remainder of the gnome session.

This behavior has been present since Fedora 10, maybe even earlier.

Comment 5 Robert Dale 2010-03-10 17:49:40 UTC

Comment
-----
tried dragging windows around repeatedly with left and middle mouse buttons

Comment 6 Need Real Name 2010-03-11 21:22:50 UTC

How to reproduce
-----
1. right-click on Workspace-switcher panel applet
2. choose 'Preferences'
3.

Comment
-----
The workspace-switcher applet sometimes starts in a state such that it doesn't
respond to mousewheel up or mousewheel down input (mousewheel up or down should
cause the desktop to switch left and right among the workspaces). 
Right-clicking the applet and choosing preferences causes three abort dialogs
to be generated; after dismissing those dialogs, the applet will work correctly
for the remainder of the gnome session.

This behavior has been present since Fedora 10, maybe even earlier.

Comment 7 Need Real Name 2010-03-11 21:24:32 UTC
Note that this occurred again with today's release of gnome-panel-2.28.0-16.fc12.x86_64

Comment 8 Need Real Name 2010-03-11 22:09:19 UTC
*** Bug 570555 has been marked as a duplicate of this bug. ***

Comment 9 Jakub Hrozek 2010-03-16 12:36:45 UTC

How to reproduce
-----
1. Right-click on the workspace switcher
2. crash
3.

Comment 10 C Sand 2010-03-18 04:52:14 UTC

How to reproduce
-----
clicked right mouse on "workspace switcher" applet

Comment 11 C Sand 2010-03-18 04:53:20 UTC

How to reproduce
-----
clicked right mouse on "workspace switcher" applet

Comment 12 Sean E. Millichamp 2010-03-18 13:36:35 UTC

How to reproduce
-----
I don't know how to reproduce this, this is the first time I've seen it.  It happened when I first logged in.  The Workplace switcher had representations of the workspaces that were at least twice as wide as they should have been.  I went to remove and re-add the Workplace switcher in the hopes that would fix it and this crash happened as I was selecting "remove from panel"

Comment 13 Ryan Helinski 2010-03-19 02:10:34 UTC

How to reproduce
-----
1. Try the mouse scroll wheel on the applet
2. Stops responding to (1) after a while
3. Right-click -> Preferences causes the crash. 
4. Returns to normal after reload.

Comment 14 Scott Schmit 2010-03-21 17:48:08 UTC

How to reproduce
-----
1. Right click on the widget
2. Select 'Preferences"
3. See it crash


Comment
-----
I'm not entirely sure what went wrong. I right clicked, selected Preferences, and it crashed. After letting it reload, doing the same thing didn't cause a crash, so it must be more involved than that. Hopefully the backtrace provides some clue...

Comment 15 Daniel Stripes 2010-03-23 14:22:56 UTC

How to reproduce
-----
1. Right-click on Workspace Switcher icon (in lower right corner).
2. Left-click on Preferences menu item.


Comment
-----
See few simple steps above.

Comment 16 wokay08 2010-03-29 16:39:44 UTC

How to reproduce
-----
1.I had 5 windows set at Gnome.
2.When I right clicked, the panel gave this error.
3.


Comment
-----
This does not repeat each time you do it.

Comment 17 C Sand 2010-04-13 04:47:26 UTC

How to reproduce
-----
tried to configure the "Workspace Switcher", by right clicking on it



Comment
-----

Comment 18 Ferry Huberts 2010-04-13 09:16:19 UTC

How to reproduce
-----
1.right click on workspace switcher to open its preferences
2.crash
3.(the third time it worked)

Comment 19 Sergio Repetto 2010-04-13 13:55:54 UTC

How to reproduce
-----
1. Right click on wnck-applet running in the bottom panel
2. Select Settings

Comment 20 Warren Lewis 2010-04-21 10:34:54 UTC

How to reproduce
-----
Random failure, unknown.


Comment
-----
This occured on first login after fresh boot, noticed that workspace switcher was about twice as wide on the toolbar as usual,  went to properties, crash occured immediatly after that.

Comment 21 C Sand 2010-04-21 11:30:26 UTC
I recommend everyone votes for this annoying bug -- more likely to get fixed.
(the vote option is next to "Priority" in Bugzilla)

Comment 22 Ray Strode [halfline] 2010-04-21 12:41:03 UTC
Note we don't actually use the voting system (or priority really) when triaging bugs.

Comment 23 C Sand 2010-04-21 13:24:21 UTC
(In reply to comment #22)
> Note we don't actually use the voting system (or priority really)
> when triaging bugs.    

So what is the point of the voting system ?

I'd be really nice to have this bug fixed. It's pretty embarrassing when showing Fedora to Windows folks and having desktop components crash with minimal interaction.

Comment 24 Ray Strode [halfline] 2010-04-21 13:49:53 UTC
I don't know why we have it, honestly.  I think it was implemented in upstream bugzilla and we got it "for free" when we upgraded.

I don't want to diminish the importance of this bug.  Clearly it's effecting a lot of users and needs to be given appropriate priority.

Comment 25 C Sand 2010-04-21 14:44:26 UTC
(In reply to comment #24)
> I don't want to diminish the importance of this bug.
> Clearly it's effecting a lot of users and needs to
> be given appropriate priority.    

If the rumours are right, RHEL 6 is based on Fedora 12.  RH's paying customers might appreciate the fix as well then :-)

Comment 26 Karel Klíč 2010-05-25 10:29:47 UTC
*** Bug 587608 has been marked as a duplicate of this bug. ***

Comment 27 Karel Klíč 2010-05-25 10:29:51 UTC
*** Bug 587659 has been marked as a duplicate of this bug. ***

Comment 28 Karel Klíč 2010-05-25 10:29:55 UTC
*** Bug 590157 has been marked as a duplicate of this bug. ***

Comment 29 Karel Klíč 2010-05-25 10:29:59 UTC
*** Bug 590261 has been marked as a duplicate of this bug. ***

Comment 30 Karel Klíč 2010-05-25 10:30:03 UTC
*** Bug 592282 has been marked as a duplicate of this bug. ***

Comment 31 Karel Klíč 2010-05-25 10:30:08 UTC
*** Bug 593551 has been marked as a duplicate of this bug. ***

Comment 32 Bug Zapper 2010-11-04 02:34:55 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 33 Bug Zapper 2010-12-04 01:14:40 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.